<?php if ( have_posts() ) : ?>
	<?php if ( is_archive() ) : ?>
	<header class="page-header">
		<h1 class="page-title">
			<?php if ( is_day() ) : ?>
				<?php printf( 'Daily Archives: %s', '<span>' . get_the_date() . '</span>' ); ?>
			<?php elseif ( is_month() ) : ?>
				<?php printf( 'Monthly Archives: %s', '<span>' . get_the_date( 'F Y' ) . '</span>' ); ?>
			<?php elseif ( is_year() ) : ?>
				<?php printf( 'Yearly Archives: %s', '<span>' . get_the_date( 'Y' ) . '</span>' ); ?>
			<?php else : ?>
				Blog Archives: 
			<?php endif; ?>
		</h1>
	</header>	
	<?php endif; ?>
	<?php while ( have_posts() ) : the_post(); ?>
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<header class="entry-header">
				<a href="<?php echo esc_url( the_permalink() ); ?>"><h2 class="entry-title"><?php the_title(); ?></h2></a>
				<?php edit_post_link( 'Edit this post' ); ?>
			</header><!-- .entry-header -->
			<?php ease_author(); ?>
			<div class="entry-content">
				<?php if ( has_post_thumbnail() ) the_post_thumbnail( array( 160, 90) ); ?>
				<?php the_excerpt(); ?>
			</div><!-- .entry-content -->
			<?php ease_category(); ?>
		</article><!-- #post-<?php the_ID(); ?> -->
	<?php endwhile; ?>
	<?php ease_posts_nav( 'nav-below' ); ?>
<?php else : ?>
	<article id="post-0" class="post error404 not-found">
		<header class="entry-header">
			<h1 class="entry-title"><?php echo "No result found for that URL."; ?></h1>
		</header>
		<div class="entry-content">
			<p><?php echo "It seems we can't find what you're looking for. Perhaps searching can help."; ?></p>
			<div class="entry-meta">
				<?php get_search_form(); ?>
			</div>
		</div><!-- .entry-content -->
	</article><!-- #post-0 -->
<?php endif;
