<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>" />
		<title><?php
			global $page, $paged;
			if ( is_home() || is_front_page() ) {
				$blog_description = get_bloginfo( 'description', 'display' );
				bloginfo( 'name' );
				if ( $blog_description ) echo " | $blog_description";
			} else {
				wp_title( '|', true, 'right' );
				bloginfo( 'name' );
			}
			if ( $paged >= 2 || $page>= 2 ) 
				echo ' - ' . sprintf( 'Page %s', max( $page, $paged )  ); ?>
		</title>
		<link rel="profile" href="http://gmpg.org/xfn/11" />
		<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
		<?php
			if ( is_singular() && get_option( 'thread_comments' ) )
				wp_enqueue_script( 'comment-reply' );
			wp_head();
		?>
	</head>
	<body <?php body_class(); ?>>
		<div id="main-wrapper">
			<header id="site-head">
				<?php if ( 'blank' != get_header_textcolor() ) : ?>
				<hgroup>
					<h2 id="site-title"><?php bloginfo( 'name' ) ?></h2>
					<h3 id="site-description"><?php bloginfo( 'description' ) ?></h3>
				</hgroup>
				<?php endif; ?>
				
				<?php //if ( is_active_sidebar( 'sidebar1' ) ) : ?>
				<?php dynamic_sidebar( 'sidebar5' ); ?>
				
				<?php if ( get_header_image() ) : ?>
				<img src="<?php header_image(); ?>" id="header-background" role="banner" alt="" />
				<?php endif; ?>
			</header>
			<nav id="nav-primary">
				<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
			</nav><!-- #nav-primary -->
			<div id="wrap">
