<?php
if ( is_admin() ) {
    function ease_reset_thememod_cs() {
        if ( isset( $_POST['nonce'] ) && 1 === wp_verify_nonce( $_POST['nonce'], 'ease_reset_cs' ) ) {
            ob_start();
            $options = ease_get_theme_options();
            $cs = ease_get_color_scheme_list();
            set_theme_mod( 'header_textcolor', $cs[$options['color_scheme']]['hcolor'] );
            set_theme_mod( 'background_color', $cs[$options['color_scheme']]['bgcolor'] );
            set_theme_mod( 'background_image', null );
            set_theme_mod( 'background_attachment', 'scroll' );
            set_theme_mod( 'background_repeat', 'repeat' );
            set_theme_mod( 'background_position_x', 'left' );
            $response = array(
                'code' => true,
                'action' => 'ease_reset_cs',
                'status' => 'ok',
                'do' => 'simple-div',
                'message' => 'Data updated',
            );
            $output = json_encode( $response, JSON_FORCE_OBJECT );
            header( "Content-type: application/json" );
            echo $output;
            exit;
        } else {
            $response = array(
                'code' => true,
                'action' => 'ease_reset_cs',
                'status' => 'error',
                'error' => 'Security error',
            );
            $output = json_encode( $response, JSON_FORCE_OBJECT );
            header( "Content-type: application/json" );
            echo $output;
            exit;
        }
    }
    add_action( 'wp_ajax_ease_reset_cs', 'ease_reset_thememod_cs' );
}
