$c = jQuery.noConflict();
var EASE_RESPONSE_TIMEOUT = 15000;
var ease_pending_action = {};

/**
* Display notice div
*/
function EaseNotice( message, target, cssClass ) {
    var DISPLAY_TIME = 2000;
    var FADEOUT_TIME = 2000;
    if ( 'error' != cssClass ) {
        cssClass = 'updated';
    }
    if ( 0 < $c( '.ease-notice' ).length ) {
        $c( '.ease-notice' ).remove();
    }
    var note = $c( '<div />' ).addClass( 'ease-notice ' + cssClass ).text( message ).css( 
        {
            padding : '0.3em 0.6em',
        }
    );
    $c( target ).after( note );
    setTimeout( function() {
        note.fadeOut( FADEOUT_TIME, function() { note.remove(); } );
    }, DISPLAY_TIME );
}

/**
* Constructor of the ajax helper.
* @param action string, action parameter expected by WordPress when using ajax
* @param data_obj literal object, additional data passed via the post query.
*/
function EaseAjax( action, data_obj ) {
    if ( 'string' != typeof( action ) || '' === action ) {
        throw 'Param 1 of EaseAjax must be an non-empty string';
    }
    var action_id = action;
    var resp = undefined;
    var timeout_fk = undefined;
    var data = data_obj;
    
    var preload = function() {
        var p = $c( '<img />' ).attr(
            {
                alt : 'Preloader',
                src : ease_ajax_data[action_id].preloader,
                id : action_id + '_preloader'
            }
        ).css( {
            position : 'relative',
            top : '2px',
            left: '10px',
        } );
        $c( ease_ajax_data[action_id].preloaderTarget ).after( p );
    }
    
    var de_preload = function() {
        $c( '#' + action_id + '_preloader' ).remove();
    }
    
    this.setResponse = function( resp_cb ) {
        resp = resp_cb;
    }
    this.getResp = function(){
        return resp;
    }
    this.setFallback = function( fb ) {
        timeout_fk = fb;
    }
    this.post = function() {
        if ( 'undefined' == typeof( ease_pending_action['action_id'] ) ) {
        
            preload();
            
            var timeoutData =
            {
                message : 'Connexion timeout reached. No data updated.',
                selector : ease_ajax_data[action_id].target,
            }
            ease_pending_action['action_id'] = setTimeout(function(){
                timeout_fk(timeoutData);
                ease_pending_action['action_id'] = undefined;
                de_preload();
            }, EASE_RESPONSE_TIMEOUT );
        
            if ( 'undefined' == typeof( resp ) ) {
                throw 'Response function is undefined';
            }
            if ( 'undefined' == typeof( timeout_fk ) ) {
                throw 'Timeout fallback is undefined';
            }
            var datablock = {};
            datablock['action'] = action_id;
            datablock['nonce'] = ease_ajax_data.ease_reset_cs.nonce;
            if ( 'undefined' != typeof( data ) ) {
                datablock['data'] = data;
            }
            $c.post(
                ease_ajax_data.ease_reset_cs.url,
                datablock,
                function( response ) {
                    if ( 'undefined' != typeof( ease_pending_action['action_id'] ) ) {
                        de_preload();
                        clearTimeout( ease_pending_action['action_id'] );
                        ease_pending_action['action_id'] = undefined;
                        resp( response );
                    }
                }
            );
        }
    }
}

/**
* Main program starts here (after the DOM is loaded).
*/

$c( function() {
    EaseMain = new EaseAjax( 'ease_reset_cs' );
    EaseMain.setResponse( function( res ) {
        if ( 'ok' == res.status ) {
            EaseNotice( res.message, ease_ajax_data.ease_reset_cs.target );
        }
    } );
    
    EaseMain.setFallback( function( fb_data ) {
            EaseNotice( fb_data.message, fb_data.selector, 'error' );
    } );
    
    $c( '#reset-cs-button' ).live( 'click', function() {
        EaseMain.post();
        return false;
    } );
});